curl --request POST \
--url https://api.importly.io/s3-storage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accessKeyId": "AKIAIOSFODNN7EXAMPLE",
"secretAccessKey": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
"bucketName": "your-bucket",
"region": "us-east-1"
}
'{
"success": true,
"message": "S3 storage configuration saved successfully"
}Account settings
Save S3 storage settings
Save the bucket and credentials that imports with store: true upload to. The connection is tested before saving.
curl --request POST \
--url https://api.importly.io/s3-storage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accessKeyId": "AKIAIOSFODNN7EXAMPLE",
"secretAccessKey": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
"bucketName": "your-bucket",
"region": "us-east-1"
}
'{
"success": true,
"message": "S3 storage configuration saved successfully"
}There’s no “Try it” on this page, so your storage secrets and provider keys never pass through the docs site. Run the request from your own terminal or server.
Authorizations
Body
application/json